﻿# CheeTaH: Rules & Admin

# Add admins/rules in the admins_and_rules.txt file, should be in the same folder as this file.

# CONFIG #
# CONFIG #
# Send crules/admins menu when a player connects?
crules_send_on_connect = 1
# If crules_send_on_connect is enabled the menu will be sent on connect.
# Here you can change after how much time, the menu will be sent (seconds)
crules_timer = 5
# Command 1 to open the menu:
crules_comm1 = '!rules'
# Command 2 to open the menu:
crules_comm2 = '!admins'
# CONFIG DONE - Editing more might cause script to not work!
# CONFIG DONE - Editing more might cause script to not work!


import es
import gamethread
import popuplib
import playerlib

variables = [
        ["crules_version","v1.4CheeTaH","Script version.",1],
    ]
def load():
    SetUpVars()
    es.msg('#multi', '#green[CheeTaH Rules] #defaultLoaded')
    global crules_main
    crules_main = popuplib.easymenu('crules_main',None, SendMenu)
    crules_main.settitle("- CRules \n-- Main Menu")
    crules_main.addoption('crules_rules', 'Rules')
    crules_main.addoption('crules_admins', 'Admins')
    global crules_rules
    crules_rules = popuplib.easymenu('crules_rules',None, SendMenu)
    crules_rules.settitle("- CRules \n-- Rules")
    crules_rules.submenu(10, crules_main)
    
    File = open(es.getAddonPath('crules') + '/admins_and_rules.txt')
    for CurrentLine in File.readlines():
        if (str(CurrentLine).lower().startswith("|rule|")):
            SplittedLine = CurrentLine.split("|")
            if len(SplittedLine) == 4:
                crules_rules.addoption('crules_rules', SplittedLine[2], 0)
    File.close()
    
def unload(): es.msg('#multi','#green[CheeTaH Rules] #defaultUnloaded')
def es_map_start(ev): SetUpVars()
def SetUpVars():
    for var in variables:
        vari = es.ServerVar(var[0],var[1],var[2])
        vari.set(var[1])
        if (var[3] == 1): vari.makepublic()
def player_say(ev):
    DoContinue = 0
    if str(ev['text']).lower() == crules_comm1: DoContinue = 1
    if str(ev['text']).lower() == crules_comm2: DoContinue = 1
    if (DoContinue): crules_main.send(ev['userid'])
    
def player_activate(ev):
    if crules_send_on_connect: gamethread.delayed(crules_timer, crules_main.send, (ev['userid']))
    
def SendMenu(userid,choice,popupname):
    if choice == 'crules_admins':
        if popuplib.exists('crules_admins'): popuplib.delete('crules_admins')
        global crules_admins
        crules_admins = popuplib.easymenu('crules_admins',None, SendMenu)
        crules_admins.settitle("- CRules \n-- Admins")
        crules_admins.submenu(10, crules_main)
        File = open(es.getAddonPath('crules') + '/admins_and_rules.txt')
        for CurrentLine in File.readlines():
            if (str(CurrentLine).lower().startswith("|admin|steam_")):
                SplittedLine = CurrentLine.split("|")
                if len(SplittedLine) == 5:
                    IsOnline = 0
                    for Player in playerlib.getUseridList('#human'):
                        if str(es.getplayersteamid(Player)).lower() == str(SplittedLine[2]).lower(): IsOnline = Player
                    if IsOnline: crules_admins.addoption('crules_admins', "%s (%s)" %(SplittedLine[3], es.getplayername(Player)))
        File.close()
        File = open(es.getAddonPath('crules') + '/admins_and_rules.txt')
        for CurrentLine in File.readlines():
            if (str(CurrentLine).lower().startswith("|admin|steam_")):
                SplittedLine = CurrentLine.split("|")
                if len(SplittedLine) == 5:
                    IsOnline = 0
                    for Player in playerlib.getUseridList('#human'):
                        if str(es.getplayersteamid(Player)).lower() == str(SplittedLine[2]).lower(): IsOnline = Player
                    if not IsOnline: crules_admins.addoption('crules_admins', SplittedLine[3], 0)
        File.close()
    popuplib.send(choice,userid)